> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/inquirypricecreateipv4block.md).

# InquiryPriceCreateIpv4Block

## 1. 接口描述

本接口(InquiryPriceCreateIpv4Block)用于创建Ipv4 CidrBlock询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型                                                                            | 描述                                                                                     |
| ------------- | -- | ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| zoneId        | 是  | String                                                                        | cidr Block所属的可用区ID。                                                                    |
| chargeType    | 是  | [ChargeType](/api-reference/cn/compute/bmc/datastructure.md#chargetype)       | <p>付费类型。</p><p>PREPAID：预付费，即包年包月</p><p>POSTPAID：后付费。</p>                               |
| netmask       | 是  | Integer                                                                       | <p>购买的掩码。</p><p>可以从DescribeAvailableIpv4Resource接口中获取可用的掩码列表。</p><p>可选值范围：\[1, 32]</p> |
| cidrType      | 否  | [CidrBlockType](/api-reference/cn/compute/bmc/datastructure.md#cidrblocktype) | <p>CIDR地址块的类型。</p><p>默认值：BGP</p>                                                       |
| chargePrepaid | 否  | [ChargePrepaid](/api-reference/cn/compute/bmc/datastructure.md#chargeprepaid) | <p>预付费模式。</p><p>即包年包月相关参数设置。通过该参数可以指定包年包月实例的购买时长等属性。若指定Cidr Block的付费模式为预付费则该参数必传。</p>  |
| amount        | 否  | Integer                                                                       | <p>购买的数量。</p><p>可选值范围：\[1, +)</p>                                                      |

## 3. 响应结果

| 参数名称      | 类型                                                                    | 描述                                                       |
| --------- | --------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| price     | [PriceItem](/api-reference/cn/compute/bmc/datastructure.md#priceitem) | Cidr Block价格。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询指定区域指定掩码的后付费Ipv4 Cidr Block价格** 查询区域 **`CHI-A`** 掩码为 **`28`** 的后付费Ipv4 Cidr Block价格，购买数量为 **`1`** 。

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateIpv4Block
Request:
{
  "zoneId": "CHI-A",
  "chargeType": "POSTPAID",
  "netmask": 28
}
Response:
{
  "requestId": "TCB52F216-374D-4895-AF29-A3E29E5403E2",
  "response": {
    "requestId": "TCB52F216-374D-4895-AF29-A3E29E5403E2",
    "price": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.06,
      "discountUnitPrice": 0.06,
      "chargeUnit": "HOUR",
      "stepPrices": null
    }
  }
}
```

**2. 查询指定区域指定掩码的预付费Ipv4 Cidr Block价格** 查询区域 **`HKG-A`** 掩码为 **`29`** 的预付费Ipv4 Cidr Block价格，购买周期为 **`1`** ，购买数量为 **`2`** 。

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateIpv4Block
Request:
{
  "zoneId": "HKG-A",
  "chargeType": "PREPAID",
  "chargePrepaid": {
    "period": 1
  },
  "netmask": 29,
  "amount": 2
}
Response:
{
  "requestId": "TA2741058-301C-4E1A-8158-C05981F8808B",
  "response": {
    "requestId": "TA2741058-301C-4E1A-8158-C05981F8808B",
    "price": {
      "discount": 95.0,
      "discountPrice": 22.8,
      "originalPrice": 24.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明         |
| ------- | --------------------------------------- | ---------- |
| 403     | OPERATION\_DENIED\_UNAVAILABLE\_NETMASK | 指定的掩码不可用。  |
| 404     | INVALID\_ZONE\_NOT\_FOUND               | 指定的可用区不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/inquirypricecreateipv4block.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
